%define api 0.2
%define major	7
%define libname %mklibname wmf%{api}_ %{major}
%define develname %mklibname -d wmf

Summary:	A library to convert wmf files
Name:		libwmf
Version:	0.2.8.4
%define subrel	4
Release:	%mkrel 32
License:	GPL
Group:		Graphics/Utilities
BuildRequires:	freetype2-devel
BuildRequires:	pkgconfig(gdk-pixbuf-2.0) >= 2.22
BuildRequires:	png-devel 
BuildRequires:	libexpat-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libx11-devel
URL:		http://sourceforge.net/projects/wvware/
Source:		http://download.sourceforge.net/wvware/%{name}-%{version}.tar.bz2
Patch:		libwmf-0.2.7-libwmf-config.patch
Patch1:		libwmf-0.2.8.3-CAN-2004-0941.patch
Patch2:		libwmf-0.2.8.3-CAN-2004-0990.patch
Patch3:		libwmf-0.2.8.4-intoverflow.patch
Patch4:		libwmf-0.2.8.4-CVE2007-2756.patch
Patch5:		libwmf-0.2.8.4-rh-CVE-2009-1364.diff
Patch6:		libwmf-0.2.8.4-gdk2.22.patch
Patch7:		libwmf-0.2.8.4-CVE-2007-0455.patch
Patch8:		libwmf-0.2.8.4-CVE-2007-3472.patch
Patch9:		libwmf-0.2.8.4-CVE-2007-3473.patch
Patch10:	libwmf-0.2.8.4-CVE-2007-3477.patch
Patch11:	libwmf-0.2.8.4-CVE-2009-3546.patch
Patch12:	libwmf-0.2.8.4-automake-1.13.patch
Patch13:	libwmf-0.2.8.4-CVE-2015-0848+CVE-2015-4588.patch
Patch14:	libwmf-0.2.8.4-CVE-2015-4695.patch
Patch15:	libwmf-0.2.8.4-CVE-2015-4696.patch
Patch16:	libwmf-0.2.8.4-CVE-2016-9011.patch
Patch17:	libwmf-0.2.8.4-CVE-2016-9317.patch
Patch18:	libwmf-0.2.8.4-CVE-2016-10167.patch
Patch19:	libwmf-0.2.8.4-CVE-2016-10168.patch

%description
libwmf is a library for unix like machines that can convert wmf
files into other formats, currently it supports a gd binding
to convert to gif, and an X one to draw direct to an X window
or pixmap.

%package -n	%{libname}
Summary:	A library to convert wmf files. - library files
Group:		System/Libraries
Requires:	urw-fonts
Conflicts:	%{name} < 0.2.8.4-7
Requires(post):	gdk-pixbuf2.0
Requires(postun): gdk-pixbuf2.0

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with libwmf.

%package -n	%{develname}
Summary:	A library to convert wmf files. - development environment
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	libwmf-devel = %{version}-%{release}
Provides:	libwmf0.2-devel = %{version}-%{release}
Obsoletes:	libwmf-devel < %{version}-%{release}
Obsoletes:	%{_lib}wmf0.2_7-devel < 0.2.8.4-21

%description -n %{develname}
libwmf is a library for unix like machines that can convert wmf
files into other formats, currently it supports a gd binding
to convert to gif, and an X one to draw direct to an X window
or pixmap.

Install libwmf-devel if you need to compile an application with libwmf
support.

%prep
%setup -q -n %{name}-%{version}
%patch -p1 -b .fpons
%patch1 -p1 -b .can-2004-0941
%patch2 -p1 -b .can-2004-0990
%patch3 -p1 -b .cve-2006-3376
%patch4 -p1 -b .cve-2007-2756
%patch5 -p0 -b .CVE-2009-1364
%patch6 -p0 -b .gdk222
%patch7 -p1 -b .CVE-2007-0455
%patch8 -p1 -b .CVE-2007-3472
%patch9 -p1 -b .CVE-2007-3473
%patch10 -p1 -b .CVE-2007-3477
%patch11 -p1 -b .CVE-2009-3546
%patch12 -p1
%patch13 -p1 -b .CVE-2015-0848-CVE-2015-4588
%patch14 -p1 -b .CVE-2015-4695
%patch15 -p1 -b .CVE-2015-4696
%patch16 -p1 -b .CVE-2016-9011
%patch17 -p1 -b .CVE-2016-9317
%patch18 -p1 -b .CVE-2016-10167
%patch19 -p1 -b .CVE-2016-10166

%build
autoreconf -fi
%configure2_5x --disable-static
%make

%install
rm -rf %{buildroot} installed-docs
%makeinstall_std

mv %{buildroot}%{_prefix}/share/doc/* installed-docs

#gw no windows line endings
perl -pi -e 's/\r//' $(find installed-docs -type f )

# remove anything relevant to fonts.
rm -rf %{buildroot}%{_bindir}/libwmf-fontmap %{buildroot}%{_datadir}/libwmf
# remove static libraries.
find %{buildroot} -name *.la | xargs rm

# multiarch support
%multiarch_binaries %{buildroot}%{_bindir}/libwmf-config

%post -n %{libname}
%{_bindir}/gdk-pixbuf-query-loaders --update-cache

%postun -n %{libname}
if [ -x  %{_bindir}/gdk-pixbuf-query-loaders ]; then
%{_bindir}/gdk-pixbuf-query-loaders --update-cache
fi

%files
# beware not to take gd files here!
%doc COPYING
%{_bindir}/wmf2*

%files -n %{libname}
# beware not to take gd files here!
%doc COPYING
%{_libdir}/libwmf*-%{api}.so.%{major}*
%{_libdir}/gdk-pixbuf-2.0/*/loaders/io-wmf.*

%files -n %{develname}
# beware not to take gd files here!
%doc COPYING CREDITS README NEWS
%doc installed-docs/*
%doc ChangeLog
%{_bindir}/libwmf-config
%multiarch %{multiarch_bindir}/libwmf-config
%{_libdir}/libwmf.so
%{_libdir}/libwmflite.so
%{_includedir}/libwmf


%changelog
* Tue Mar 21 2017 ns80 <ns80> 0.2.8.4-32.4.mga5
+ Revision: 1093910
- add patches for CVE-2016-9317 and CVE-2016-1016[78] (mga#20474)
- add a patch for CVE-2016-9011 (mga#19702)

  + luigiwalser <luigiwalser>
    - fix CVE-2015-4696 patch (from fedora)
    - add patches from fedora to fix CVE-2015-4695 and CVE-2015-4696
    - add patch from fedora to fix CVE-2015-0848 and CVE-2015-4588

* Wed Oct 15 2014 umeabot <umeabot> 0.2.8.4-32.mga5
+ Revision: 744390
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.8.4-31.mga5
+ Revision: 681857
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.2.8.4-30.mga4
+ Revision: 525810
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 fwang <fwang> 0.2.8.4-29.mga4
+ Revision: 434620
- update real rel
- rebuild for new libpng

* Sat Jan 12 2013 umeabot <umeabot> 0.2.8.4-28.mga3
+ Revision: 358447
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Graphics/Other -> Graphics/Utilities

* Mon Jan 07 2013 luigiwalser <luigiwalser> 0.2.8.4-27.mga3
+ Revision: 340674
- fix for automake 1.13

* Tue Dec 25 2012 pterjan <pterjan> 0.2.8.4-26.mga3
+ Revision: 335028
- Fix a use of docdir instead of doc, breaking with new rpm

* Mon Oct 29 2012 malo <malo> 0.2.8.4-25.mga3
+ Revision: 311321
- update RPM group

* Thu Aug 16 2012 luigiwalser <luigiwalser> 0.2.8.4-24.mga3
+ Revision: 281706
- add patches from fedora to fix embedded libgd security issues (rhbz #660161)

* Sat Sep 10 2011 fwang <fwang> 0.2.8.4-23.mga2
+ Revision: 142142
- rebuild for new libpng

  + rtp <rtp>
    - really fix path for gdk pixbuf loaders. Looks like they've changed between
      2.20 and 2.22 (initial import was probably fine but I guess we were
      bootstrapping with 2.20 resulting in ftbfs)

* Wed Jan 12 2011 dmorgan <dmorgan> 0.2.8.4-22.mga1
+ Revision: 7095
- Fix file list
- Fix file list
- imported package libwmf


* Thu Jul 29 2010 Funda Wang <fwang@mandriva.org> 0.2.8.4-22mdv2011.0
+ Revision: 563204
- add patch to build with gdk 2.22

* Thu Jul 29 2010 Funda Wang <fwang@mandriva.org> 0.2.8.4-21mdv2011.0
+ Revision: 563183
- new devel package name policy
- adopt to gdk and gtk splitting

* Sun Jan 10 2010 Oden Eriksson <oeriksson@mandriva.com> 0.2.8.4-20mdv2010.1
+ Revision: 488786
- rebuilt against libjpeg v8

* Sat Aug 15 2009 Oden Eriksson <oeriksson@mandriva.com> 0.2.8.4-19mdv2010.0
+ Revision: 416524
- rebuilt against libjpeg v7

* Tue May 05 2009 Oden Eriksson <oeriksson@mandriva.com> 0.2.8.4-18mdv2010.0
+ Revision: 372264
- P5: security fix for CVE-2009-1364 (redhat)

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.2.8.4-17mdv2009.0
+ Revision: 223041
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 0.2.8.4-16mdv2008.1
+ Revision: 179016
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Jun 15 2007 Jérôme Soyer <saispo@mandriva.org> 0.2.8.4-14mdv2008.0
+ Revision: 40000
- Bump release
- Fix bug #31483

* Fri Jun 08 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.8.4-13mdv2008.0
+ Revision: 37261
- rebuild for expat
- spec file clean


* Thu Nov 23 2006 Götz Waschk <waschk@mandriva.org> 0.2.8.4-12mdv2007.0
+ Revision: 86613
- bot rebuild
- bot rebuild
- add conflict to fix upgrade

* Wed Nov 22 2006 Götz Waschk <waschk@mandriva.org> 0.2.8.4-9mdv2007.1
+ Revision: 86282
- fix buildrequires
- unpack patches
- fix postun script
- move gtk loader do the library package

* Wed Nov 22 2006 Götz Waschk <waschk@mandriva.org> 0.2.8.4-7mdv2007.1
+ Revision: 86229
- Import libwmf

* Wed Nov 22 2006 Gtz Waschk <waschk@mandriva.org> 0.2.8.4-7mdv2007.1
- fix postun script
- fix post installation deps

* Thu Aug 24 2006 Marcel Pol <mpol@mandriva.org> 0.2.8.4-6mdv2007.0
- P3: security fix for CVE-2006-3376 (from Fedora, thx Stew)

* Sun Jul 16 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.2.8.4-5
- add BuildRequires: libexpat-devel libjpeg-devel libx11-devel libice-devel

* Sun Jul 02 2006 Marcel Pol <mpol@mandriva.org> 0.2.8.4-4mdv2007.0
-- P1: security fix for CAN-2004-0941 (embedded GD)
-- P2: security fix for CVE-2006-0990

* Wed Jun 21 2006 Götz Waschk <waschk@mandriva.org> 0.2.8.4-1mdv2007.0
- Rebuild

* Fri Jun 09 2006 Gtz Waschk <waschk@mandriva.org> 0.2.8.4-2mdv2007.0
- rebuild for new gtk
- fix deps

* Fri Oct 07 2005 Marcel Pol <mpol@mandriva.org> 0.2.8.4-1mdk
- 0.2.8.4

* Fri Sep 09 2005 Frederic Crozat <fcrozat@mandriva.com> 0.2.8.3-6mdk 
- Fix post requires

* Wed Jun 01 2005 Gtz Waschk <waschk@mandriva.org> 0.2.8.3-5mdk
- move the gdk-pixbuf-query-loaders call to the main package

* Sat May 21 2005 Gtz Waschk <waschk@mandriva.org> 0.2.8.3-4mdk
- fix automake calls
- replace prereq by the new syntax

* Wed Feb 09 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.2.8.3-3mdk
- multiarch

* Thu Aug 05 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.8.3-2mdk
- biarch support

* Tue Jun 01 2004 Marcel Pol <mpol@mandrake.org> 0.2.8.3-1mdk
- 0.2.8.3
- drop patch1, merged upstream

* Sun Apr 04 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2.8-7mdk
- rebuild for new gtk

* Sun Jan 18 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.8-6mdk
- patch 1: fix build with newer freetype (#6579, Marcel Pol)

